summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2015-09-05 13:37:58 +0200
committerPacho Ramos <pacho@gentoo.org>2015-09-05 13:37:58 +0200
commitbd707e180ebdc06d35380dbf746718455c23151a (patch)
tree0f8c703f2ec05fc07d41e535623bd7bb368899af /mail-client/evolution
parentgnome-extra/evolution-data-server: Drop old (diff)
downloadgentoo-bd707e180ebdc06d35380dbf746718455c23151a.tar.gz
gentoo-bd707e180ebdc06d35380dbf746718455c23151a.tar.bz2
gentoo-bd707e180ebdc06d35380dbf746718455c23151a.zip
mail-client/evolution: Version bump
Package-Manager: portage-2.2.20.1
Diffstat (limited to 'mail-client/evolution')
-rw-r--r--mail-client/evolution/Manifest1
-rw-r--r--mail-client/evolution/evolution-3.16.5.ebuild156
2 files changed, 157 insertions, 0 deletions
diff --git a/mail-client/evolution/Manifest b/mail-client/evolution/Manifest
index e044e5a1e71..e9297c08e39 100644
--- a/mail-client/evolution/Manifest
+++ b/mail-client/evolution/Manifest
@@ -1,3 +1,4 @@
DIST evolution-3.12.11.tar.xz 11360812 SHA256 f9ec78ae7b9aadb7efc76777c4c93a98f7c61be2a4cfaaf351dd051604e981f5 SHA512 aef832fbfd6d7449f234e9cb0fdfabc2b75373220e37f5bc58379a2e91a3eacc39e6f8f37078c46adc11d5aa8f2d466974b8dcdcf88a68e68e7ad4a5f659a49c WHIRLPOOL 34a83a6a9be6c2e65fad3732fd86a523282fb8a1cb876da33595cec92c6c16fb8144ad6188381be9c58a301cc4e52fce04e577fd663ebfe31b0f96678126edbc
DIST evolution-3.16.3.tar.xz 11877676 SHA256 cdc25d9c0c7749d9049d480a8fcde870b1991523bf7009ba101990df543207d6 SHA512 fd81e351ae9a482b48429b04ab41d53f25ad36823765dcd4c5810d8134788d7bdda35e78fdb453686ea7b6eca999f70cd4352486ef38da96a3a927fff3b2b98e WHIRLPOOL 96ea257e30b763db4fdf0ae39e3dc60e8845b3ad021538d2ab62dd1c0bf448f009bf39a89e695cbd1f6af08e18486d9968c6a7bac2772c6cd9ca4e38d356aee8
DIST evolution-3.16.4.tar.xz 11946404 SHA256 60d90c4f36cc05f925f50dc7e8dcc4f83edd6d9b5476f14e75c1d10ce7fbd67f SHA512 d985cfdf5729e7442a9df4f69f486e617e98f59b7781ffb18dbf0424d5843e3046508b0bde0fbc083648b0b995cd0e534e68b9cc1e11cf21bca58791665480da WHIRLPOOL bce88813f90bbb1aec904ed6ee9163881a5a643b8bb2838f9dce47ac18ee457d9c930966bb12f0642d02177cbff1b98ef1a352297e3b5be0d633a7fadf89ce6b
+DIST evolution-3.16.5.tar.xz 11962476 SHA256 fef4e8d0a81dc4562f984dddc5ccfee885506a2e030692b5ac6cd50e32efce37 SHA512 6f99982c42d462cc449eb8c56e22cde1ff628111b52e12fd6c8cbcbf86dbc047431aea2507c7026589bfe54b020443f3a647190de72cc235ce45f72f8d55b222 WHIRLPOOL 462e71bd51a0d5be9d5f6d9f965ae3121612ebd56066de43d328dd003cd61ab155af0c48b58868bf220e6956eee01844cbe923ea64fb30a9b88ba10d1e4c74e3
diff --git a/mail-client/evolution/evolution-3.16.5.ebuild b/mail-client/evolution/evolution-3.16.5.ebuild
new file mode 100644
index 00000000000..9076d2b22e8
--- /dev/null
+++ b/mail-client/evolution/evolution-3.16.5.ebuild
@@ -0,0 +1,156 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes"
+
+inherit eutils flag-o-matic readme.gentoo gnome2
+
+DESCRIPTION="Integrated mail, addressbook and calendaring functionality"
+HOMEPAGE="https://wiki.gnome.org/Apps/Evolution"
+
+# Note: explicitly "|| ( LGPL-2 LGPL-3 )", not "LGPL-2+".
+LICENSE="|| ( LGPL-2 LGPL-3 ) CC-BY-SA-3.0 FDL-1.3+ OPENLDAP"
+SLOT="2.0"
+IUSE="+bogofilter crypt highlight ldap map spamassassin spell ssl +weather"
+KEYWORDS="~amd64 ~x86 ~x86-fbsd"
+
+# We need a graphical pinentry frontend to be able to ask for the GPG
+# password from inside evolution, bug 160302
+PINENTRY_DEPEND="|| ( app-crypt/pinentry[gnome-keyring] app-crypt/pinentry[gtk] app-crypt/pinentry[qt4] )"
+
+# glade-3 support is for maintainers only per configure.ac
+# pst is not mature enough and changes API/ABI frequently
+# dconf explicitely needed for backup plugin
+# google tasks requires >=libgdata-0.15.1
+# gnome-desktop support is optional with --enable-gnome-desktop
+# gnome-autoar (currently disabled because no release has been made)
+COMMON_DEPEND="
+ >=app-crypt/gcr-3.4
+ >=app-text/enchant-1.1.7
+ >=dev-libs/glib-2.40:2[dbus]
+ >=dev-libs/libgdata-0.10:=
+ >=dev-libs/libxml2-2.7.3:2
+ >=gnome-base/gnome-desktop-2.91.3:3=
+ >=gnome-base/gsettings-desktop-schemas-2.91.92
+ >=gnome-extra/evolution-data-server-3.16:=[gtk,weather?]
+ >=media-libs/libcanberra-0.25[gtk3]
+ >=net-libs/libsoup-2.42:2.4
+ >=net-libs/webkit-gtk-2.2:3
+ >=x11-libs/cairo-1.9.15:=[glib]
+ >=x11-libs/gdk-pixbuf-2.24:2
+ >=x11-libs/gtk+-3.10:3
+ >=x11-libs/libnotify-0.7:=
+ >=x11-misc/shared-mime-info-0.22
+
+ >=app-text/iso-codes-0.49
+ dev-libs/atk
+ gnome-base/dconf
+ dev-libs/libical:=
+ x11-libs/libSM
+ x11-libs/libICE
+
+ crypt? (
+ >=app-crypt/gnupg-1.4
+ ${PINENTRY_DEPEND}
+ x11-libs/libcryptui )
+ map? (
+ >=media-libs/libchamplain-0.12:0.12[gtk]
+ >=media-libs/clutter-1.0.0:1.0
+ >=media-libs/clutter-gtk-0.90:1.0
+ >=sci-geosciences/geocode-glib-3.10.0
+ x11-libs/mx:1.0 )
+ spell? ( app-text/gtkspell:3 )
+ ldap? ( >=net-nds/openldap-2:= )
+ ssl? (
+ >=dev-libs/nspr-4.6.1:=
+ >=dev-libs/nss-3.11:= )
+ weather? ( >=dev-libs/libgweather-3.8:2= )
+"
+DEPEND="${COMMON_DEPEND}
+ app-text/docbook-xml-dtd:4.1.2
+ dev-util/gtk-doc-am
+ >=dev-util/intltool-0.40.0
+ dev-util/itstool
+ virtual/pkgconfig
+"
+# eautoreconf needs:
+# app-text/yelp-tools
+# >=gnome-base/gnome-common-2.12
+RDEPEND="${COMMON_DEPEND}
+ bogofilter? ( mail-filter/bogofilter )
+ highlight? ( app-text/highlight )
+ spamassassin? ( mail-filter/spamassassin )
+ !gnome-extra/evolution-exchange
+"
+
+if [[ ${PV} = 9999 ]]; then
+ DEPEND="${DEPEND}
+ app-text/yelp-tools
+ doc? ( >=dev-util/gtk-doc-1.14 )"
+fi
+
+DISABLE_AUTOFORMATTING="yes"
+DOC_CONTENTS="To change the default browser if you are not using GNOME, edit
+~/.local/share/applications/mimeapps.list so it includes the
+following content:
+
+[Default Applications]
+x-scheme-handler/http=firefox.desktop
+x-scheme-handler/https=firefox.desktop
+
+(replace firefox.desktop with the name of the appropriate .desktop
+file from /usr/share/applications if you use a different browser)."
+
+src_prepare() {
+ # Fix relink issues in src_install
+ ELTCONF="--reverse-deps"
+ gnome2_src_prepare
+}
+
+src_configure() {
+ # Use NSS/NSPR only if 'ssl' is enabled.
+ gnome2_src_configure \
+ --without-glade-catalog \
+ --disable-autoar \
+ --disable-code-coverage \
+ --disable-installed-tests \
+ --disable-pst-import \
+ --enable-canberra \
+ $(use_enable crypt libcryptui) \
+ $(use_enable highlight text-highlight) \
+ $(use_enable map contact-maps) \
+ $(use_enable spell gtkspell) \
+ $(use_enable ssl nss) \
+ $(use_enable ssl smime) \
+ $(use_with bogofilter) \
+ $(use_with ldap openldap) \
+ $(use_with spamassassin) \
+ $(usex ssl --enable-nss=yes "--without-nspr-libs
+ --without-nspr-includes
+ --without-nss-libs
+ --without-nss-includes") \
+ $(use_enable weather)
+}
+
+src_install() {
+ DOCS="AUTHORS ChangeLog* HACKING MAINTAINERS NEWS* README"
+
+ gnome2_src_install
+
+ # Problems with prelink:
+ # https://bugzilla.gnome.org/show_bug.cgi?id=731680
+ # https://bugzilla.gnome.org/show_bug.cgi?id=732148
+ # https://bugzilla.redhat.com/show_bug.cgi?id=1114538
+ echo PRELINK_PATH_MASK=/usr/bin/evolution > ${T}/99${PN}
+ doenvd "${T}"/99${PN}
+
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+ readme.gentoo_print_elog
+}